plymouthd crashed with SIGSEGV in script_obj_deref_direct()

Bug #927636 reported by James P. Carter on 2012-02-06
This bug affects 356 people
Affects Status Importance Assigned to Milestone
Plymouth
Unknown
High
plymouth (Ubuntu)
High
Brian Murray
Trusty
High
Brian Murray
Xenial
High
Brian Murray
Artful
High
Brian Murray

Bug Description

[Impact]
Plymouth is crashing regularly for users of releases before Ubuntu 18.04. The crash reporting dialogs must be annoying for those experiencing the crash.

[Test Case]
We have not figured out how to recreate the crash, but the errors bucket (https://errors.ubuntu.com/bucket/?id=/sbin/plymouthd%3A11%3Ascript_obj_deref_direct%3Ascript_obj_as_custom%3Ascript_execute_object_with_parlist%3Ascript_execute_object%3Ascript_lib_plymouth_on_update_status) is updated hourly from people who encounter the crash. Checking the errors bucket for an absence of the new version should be sufficient to confirm that the crash is not occurring.

[Regression Potential]
The fix for this bug involved dropping an undocumented patch from plymouth which is rather risky. That being said the fix has been in Ubuntu 18.04 since mid April and no regressions have turned up. While I'm checking the Error Tracker for new plymouth crashes regularly it would be best to let this SRU age for longer than the 7 day period to be sure nothing is amiss.

Ubuntu 12.04 LTS (development branch)

ProblemType: CrashDistroRelease: Ubuntu 12.04
Package: plymouth 0.8.2-2ubuntu28
ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
Uname: Linux 3.2.0-14-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Mon Feb 6 07:03:15 2012
DefaultPlymouth: /lib/plymouth/themes/xubuntu-logo/xubuntu-logo.plymouth
ExecutablePath: /sbin/plymouthd
MachineType: Foxconn AMD HDZS01
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
ProcEnviron: PATH=(custom, no user)
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7effe6b50ea0 <script_obj_deref_direct>: cmpl $0x1,(%rdi)
 PC (0x7effe6b50ea0) ok
 source "$0x1" ok
 destination "(%rdi)" (0x00000000) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11SourcePackage: plymouth
StacktraceTop:
 script_obj_deref_direct () from /lib/plymouth/script.so
 script_obj_as_custom () from /lib/plymouth/script.so
 script_execute_object () from /lib/plymouth/script.so
 script_lib_plymouth_on_update_status () from /lib/plymouth/script.so
 ?? ()
TextPlymouth: /lib/plymouth/themes/xubuntu-text/xubuntu-text.plymouth
Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 04/19/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: A93F1022
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: AHD1S
dmi.board.vendor: Foxconn
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrA93F1022:bd04/19/2011:svnFoxconn:pnAMDHDZS01:pvrTobefilledbyO.E.M.:rvnFoxconn:rnAHD1S:rvr:
dmi.product.name: AMD HDZS01
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Foxconn

James P. Carter (jpcarter) wrote :

StacktraceTop:
 script_obj_deref_direct (obj=0x0) at ./script-object.c:132
 script_obj_as_custom (obj=<optimized out>, user_func=0x7effe6b509e0 <script_obj_execute>, user_data=0x7fff9f304cd0) at ./script-object.c:237
 script_execute_object_with_parlist (parameter_data=0x1630890, this=0x0, obj=0x0, state=0x160b6c0) at ./script-execute.c:286
 script_execute_object (state=0x160b6c0, function=0x0, this=0x0, first_arg=0x163c1d0) at ./script-execute.c:667
 script_lib_plymouth_on_update_status (state=0x160b6c0, data=0x161b9a0, new_status=<optimized out>) at ./script-lib-plymouth.c:242

Changed in plymouth (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
tags: added: quantal
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu):
status: New → Confirmed
visibility: private → public
tags: added: raring
skipper (attila-egri-nagy) wrote :

Yes, this is happening in raring.

tags: added: saucy
tags: added: bugpattern-needed
skipper (attila-egri-nagy) wrote :

Now the crash happens in trusty as well.

LAZA (laza74) on 2014-02-12
tags: added: trusty
Jimmy Sjölund (jimmy-sjolund) wrote :

I get this on my Ubuntu Studio 14.04 as well now.

Rory Holland (roryholland) wrote :

Randomly segfaults and when it reboots comes up with this error. Happens roughly every 2-3 hours, can't find a way to reproduce.

wgroiss (wolfgang-groiss-gmx) wrote :

It happened to me, when i updated from saucy to trusty with "update-manager -d".

how did you fix it ??

On 1 April 2014 03:13, wgroiss <email address hidden> wrote:

> It happened to me, when i updated from saucy to trusty with "update-
> manager -d".
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1284978).
> https://bugs.launchpad.net/bugs/927636
>
> Title:
> plymouthd crashed with SIGSEGV in script_obj_deref_direct()
>
> Status in "plymouth" package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 12.04 LTS (development branch)
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: plymouth 0.8.2-2ubuntu28
> ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
> Uname: Linux 3.2.0-14-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> Date: Mon Feb 6 07:03:15 2012
> DefaultPlymouth: /lib/plymouth/themes/xubuntu-logo/xubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Foxconn AMD HDZS01
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 VESA VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0x7effe6b50ea0 <script_obj_deref_direct>:
> cmpl $0x1,(%rdi)
> PC (0x7effe6b50ea0) ok
> source "$0x1" ok
> destination "(%rdi)" (0x00000000) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> script_obj_deref_direct () from /lib/plymouth/script.so
> script_obj_as_custom () from /lib/plymouth/script.so
> script_execute_object () from /lib/plymouth/script.so
> script_lib_plymouth_on_update_status () from /lib/plymouth/script.so
> ?? ()
> TextPlymouth: /lib/plymouth/themes/xubuntu-text/xubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> dmi.bios.date: 04/19/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: A93F1022
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: AHD1S
> dmi.board.vendor: Foxconn
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrA93F1022:bd04/19/2011:svnFoxconn:pnAMDHDZS01:pvrTobefilledbyO.E.M.:rvnFoxconn:rnAHD1S:rvr:
> dmi.product.name: AMD HDZS01
> dmi.product.version: To be filled by O.E.M.
> dmi.sys.vendor: Foxconn
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/927636/+subscriptions
>

wgroiss (wolfgang-groiss-gmx) wrote :

For me, i didn't really fix it. It was a "1 time-bug". After some other updates and reboot, the bug has gone!???
I had some other troubles with external ppa (e.g. dropbox), but does not fit here to this bug description.

praveen krishna (againpkp) wrote :

thanks for replying...

On 3 April 2014 01:42, wgroiss <email address hidden> wrote:

> For me, i didn't really fix it. It was a "1 time-bug". After some other
> updates and reboot, the bug has gone!???
> I had some other troubles with external ppa (e.g. dropbox), but does not
> fit here to this bug description.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1284978).
> https://bugs.launchpad.net/bugs/927636
>
> Title:
> plymouthd crashed with SIGSEGV in script_obj_deref_direct()
>
> Status in "plymouth" package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 12.04 LTS (development branch)
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: plymouth 0.8.2-2ubuntu28
> ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
> Uname: Linux 3.2.0-14-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> Date: Mon Feb 6 07:03:15 2012
> DefaultPlymouth: /lib/plymouth/themes/xubuntu-logo/xubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Foxconn AMD HDZS01
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 VESA VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0x7effe6b50ea0 <script_obj_deref_direct>:
> cmpl $0x1,(%rdi)
> PC (0x7effe6b50ea0) ok
> source "$0x1" ok
> destination "(%rdi)" (0x00000000) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> script_obj_deref_direct () from /lib/plymouth/script.so
> script_obj_as_custom () from /lib/plymouth/script.so
> script_execute_object () from /lib/plymouth/script.so
> script_lib_plymouth_on_update_status () from /lib/plymouth/script.so
> ?? ()
> TextPlymouth: /lib/plymouth/themes/xubuntu-text/xubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> dmi.bios.date: 04/19/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: A93F1022
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: AHD1S
> dmi.board.vendor: Foxconn
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrA93F1022:bd04/19/2011:svnFoxconn:pnAMDHDZS01:pvrTobefilledbyO.E.M.:rvnFoxconn:rnAHD1S:rvr:
> dmi.product.name: AMD HDZS01
> dmi.product.version: To be filled by O.E.M.
> dmi.sys.vendor: Foxconn
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/927636/+subscriptions
>

Jan-Åke Larsson (jalar) wrote :

I am still seeing this on 14.04

Changed in plymouth (Ubuntu):
status: Confirmed → Triaged
status: Triaged → Confirmed
swamytk (swamytk) wrote :

The workaround which worked for me to get it temporarly fixed is to change the permission for plymouth as shown below. It may not be secure. My system is Ubuntu 14.04.

# chmod -R 777 /lib/plymouth

jerrylamos (jerrylamos) wrote :

This is 14.10:

DISTRIB_DESCRIPTION="Ubuntu Utopic Unicorn (development branch)"
Linux Aspire1 3.15.0-6-generic #11-Ubuntu SMP Thu Jun 12 00:40:00 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

I tried the above chmod from normal command line, didn't work. Now trying sudo chomd ....

Let me reboot to see if anything changed.

jerrylamos (jerrylamos) wrote :

Based on one trial, no plymouthd error this time.

It's estimated to have a moderate impact on a large portion of Ubuntu users.

Changed in plymouth (Ubuntu):
importance: Medium → High
Changed in plymouth:
importance: Unknown → High
status: Unknown → Confirmed
Oscar Rivera (oscarivera9) wrote :

There is NO CRASH at all in my system, except for this annoying crash report EVERY time that I boot into Ubuntu 14.04
After a few months, I finally decided to look into it because it's getting to be pretty annoying, I thought it would have been fixed by now.
I will try the:

sudo chmod......

It seems like it's helped others, so I'm going to see if it works for me and report back on whether it does or not.

Jan-Åke Larsson (jalar) wrote :

I would not recommend making /lib/plymouth world-writable.

Someone should fix the actual problem.

Gevorg (gevorg) wrote :

I get the two errors every so often on my Precision M4700 running on SSD running 14.04.1 (lubuntu or xubuntu - both give the error). Anyone know how to debug this thing? Can we just get rid of plymouth and the graphical splash?

Dale Farnsworth (dale-ubuntu) wrote :

I saw this problem consistently on a newly installed 14.04 system with an SSD. The error went away when I did "chmod 775 /lib/plymouth"

Aksarben (ttommytt) wrote :

Occurs at every boot. running 14.04

tags: added: vivid
ADJ (andras-skot) wrote :

The error message from 3.19.0-12 is:

[ 1.6795441 ACPI PCC probe failed
[ 1.713110 tpm_tis 00:03: A TPM error (7) occurred attempting to read a pcr value
starting version 219

My system is:

Linux adj-HP-Compaq-6910p-GX978UC-ABE 3.19.0-11-lowlatency #11-Ubuntu SMP PREEMPT Tue Mar 31 22:48:17 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
adj@adj-HP-Compaq-6910p-GX978UC-ABE:~$

tags: added: wily
Bruce Pieterse (octoquad) wrote :

I get this bug occasionally ever since the new plymouth loading screen was done for Ubuntu GNOME.

Tim Lunn (darkxst) wrote :

is anyone able to get debug logs for this crash?

boot with kernel param: plymouth.debug
then grab /var/log/plymouth-debug.log after reproducing and attach it to this bug.

Bruce Pieterse (octoquad) wrote :

Plymouth crashed again with this. Luckily I had debugging on. Unfortunately, apport gobbled up the log file which you can find here: https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1497563

Bruce Pieterse (octoquad) wrote :

Debug log as requested.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/927636

tags: added: iso-testing
Daniel (cdtenzi) wrote :

fix: chown -R user:user /lib/plymouth

Bruce Pieterse (octoquad) wrote :

Seeing this in Xenial

tags: added: xenial
removed: precise quantal raring saucy

same in xenial GNOME:
corrado@corrado-xenial-gnome:~$ uname -a
Linux corrado-xenial-gnome 4.4.0-8-generic #23-Ubuntu SMP Wed Feb 24 20:45:30 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Still happening on Xenial.

The workaround suggested is not valid in xenial anymore.
The suggested directory might now be /usr/lib/x86_64-linux-gnu/plymouth

Tal Liron (emblem-parade) wrote :

Still happens on 16.04, on multiple machines, all fresh installs.

Alexandros (onedrawingperday) wrote :

Just happened to me also on Ubuntu Gnome 16.04

goldmetal (abraahamtepe) wrote :

i run "sudo chmod -R 777 /sbin/plymouthd" on Ubuntu Gnome 16.04 and reboot and after that never again appear the popup annoying window for plymouthd crash. good workaround.

Jan-Åke Larsson (jalar) wrote :

I would not recommend making /sbin/plymouthd world-writable.

Someone should fix the actual problem.

tags: added: rls-y-incoming
the_mechanical (mechanical) wrote :

Still present in Ubuntu Yakkety (16.10 Beta)

goldmetal (abraahamtepe) wrote :

this "sudo chmod -R 777 /sbin/plymouthd" not work with Ubuntu Gnome 16.10... problem still present!

Jan-Åke Larsson (jalar) wrote :

You should not "sudo chmod -R 777 /sbin/plymouthd".

Doing this to make "never again appear the popup annoying window" is not good.

This will make the whole machine available for any local user. All of it. Any file, any device.

enrico (eliboni) wrote :

I experienced the same issue, I tried to launch plymouth manually from an X session:

~$ sudo ./plymouth start

the screen becomes black (with a message at the top about /dev/sda), it is not possible to interact at all. CTRL-F2 to switch to a console, ps -ef does not show any plymouth service, however and I tried to stop it:

~$ sudo ./plymouth stop

a message confirmed it has been successfully stopped (!), however the graphical session remains freezed.

~$ reboot

and since then the problem is gone.

I also get this error since long time ago, however is not always, it's just sometimes. When it happens i'm not able to login. After i input username+pw and click login it gets blocked and I can do nothing but rebooting the bad way.

In my error report generated by Ubuntu I have the following:
   "plymouth error destination "(%rdi)"... not located in a known VMA region (needed writable region)!"
   "writing unknown VMA"

<- i'm not sure if this helps. To me seems a problem of timing of loading something during the boot and login. However some users solve it by changing permissions, so maybe is related to the above message that I have read it happens when a process tries to access to RAM addresses is not allowed to. Some users said to give 775 others 777, if 775 works, maybe the key is the group writable permission.

The dependencies of plymouth seems long:
sudo apt-get remove --simulate plymouth
The following packages will be REMOVED:
  cryptsetup gdm lightdm mountall plymouth plymouth-label plymouth-theme-ubuntu-gnome-logo plymouth-theme-ubuntu-gnome-text plymouth-theme-ubuntu-logo plymouth-theme-ubuntu-text ubuntu-desktop ubuntu-gnome-desktop unity unity-greeter unity-tweak-tool upstart
  upstart-bin

Are any of this packages ran under a user account without permission to fire plymouth?, moreover, does that account belong to a group that actually has write permission on plymouth?. Why timing on logging matters? (I do sometimes login smoothly and sometimes not).

Sorry, but i can go further on this, and these are the questions that come to my head that might, might not, give a hint to someone else.

Cheers

enrico (eliboni) wrote :

I have to add the solution in my post #44 seems to work on my desktop, but not on my laptop: it worked for a while but then the problem appeared again. Actually, on laptop I had to update /etc/default/grub adding "noplymouth" in GRUB_CMDLINE_LINUX_DEFAULT options... (which is of course not a solution!)

Alex Forbes (alexforbes) wrote :

I wasn't willing to chmod 777 anything so I have lived with this bug for about 4 years... (not my primary machine). Anyway, at some point after upgrading to 17.04 it seems to have disappeared for me. I am currently on version 0.9.2-3ubuntu15 of plymouth, and am not seeing the crash reporter popup for plymouth on login, where it used to happen every single boot. Permissions on /sbin/plymouthd are 755.

just inserted an usb pen containing an iso created with startup disk creator

corrado@corrado-art-gnome:~$ inxi -Fx
System: Host: corrado-art-gnome Kernel: 4.10.0-22-generic x86_64 (64 bit gcc: 6.3.0)
           Desktop: Gnome 3.24.2 (Gtk 3.22.15-0ubuntu1) Distro: Ubuntu Artful Aardvark (development branch)
Machine: Device: desktop Mobo: Gigabyte model: H87M-D3H v: x.x UEFI: American Megatrends v: F3 date: 04/24/2013
CPU: Dual core Intel Core i3-4130 (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 13569
           clock speeds: max: 3400 MHz 1: 1115 MHz 2: 953 MHz 3: 1173 MHz 4: 822 MHz
Graphics: Card: Intel 4th Generation Core Processor Family Integrated Graphics Controller bus-ID: 00:02.0
           Display Server: X.Org 1.19.3 driver: N/A Resolution: 1680x1050@59.88hz
           GLX Renderer: Mesa DRI Intel Haswell GLX Version: 3.0 Mesa 17.1.0 Direct Rendering: Yes
Audio: Card-1 Intel 8 Series/C220 Series High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 Intel Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
           driver: snd_hda_intel bus-ID: 00:03.0
           Sound: Advanced Linux Sound Architecture v: k4.10.0-22-generic
Network: Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0
           IF: enp2s0 state: up speed: 100 Mbps duplex: full mac: 94:de:80:7e:90:a7
Drives: HDD Total Size: 1016.5GB (13.0% used)
           ID-1: /dev/sda model: ST1000DM003 size: 1000.2GB
           ID-2: USB /dev/sdf model: SanDisk_Cruzer size: 16.3GB
Partition: ID-1: / size: 32G used: 7.3G (25%) fs: ext4 dev: /dev/sda8
           ID-2: swap-1 size: 8.59GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
RAID: No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors: System Temperatures: cpu: 29.8C mobo: 27.8C
           Fan Speeds (in rpm): cpu: N/A
Info: Processes: 274 Uptime: 1:59 Memory: 1598.1/7861.1MB Init: systemd runlevel: 5 Gcc sys: 6.3.0
           Client: Shell (bash 4.4.121) inxi: 2.3.8
corrado@corrado-art-gnome:~$

tags: added: artful
PJSingh5000 (pjsingh5000) wrote :

On Ubuntu 17.10...

TEST 1 - NO ISSUE:

1. Set onboard graphics as primary in BIOS.
2. Logged into Ubuntu.
3. Everything was fine.
4. Restarted machine.

TEST 2 - ISSUE:

1. Set GeForce GTX 670 in BIOS.
2. Logged into Ubuntu 17.10.
3. Surprisingly, I was given option of "GNOME" or "GNOME Xorg" in GDM.
   (Note: GNOME == Wayland)
4. Selected GNOME on GDM
5. Logged into Ubuntu.
6. Received this error.

7. Checked which display server is in use:
     $ echo $XDG_SESSION_TYPE
     x11
   (Note: x11 == Xorg, non-Wayland)
   This makes sense because Ubuntu defaults to Xorg for Nvidia cards.

QUESTIONS:

1. Perhaps unrelated, but why is GDM even presenting me with a Wayland option when the graphics card is Nvidia?

2. Does this bug occur whenever Ubuntu decide to chose an Xorg session over a Wayland session? (I see this bug is pretty old, pre-Wayland, but thought it's worth asking).

INFO:

Linux PS001 4.13.0-16-generic #19-Ubuntu SMP Wed Oct 11 18:35:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 17.10
Release: 17.10
Codename: artful

plymouth 0.9.2-3ubuntu17 amd64

tags: added: bionic

new install of bionic
Linux steve-nuc 4.15.0-10-generic #11-Ubuntu SMP Tue Feb 13 18:23:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

after a bit of reading did a:
dpkg-reconfigure plymouth
have done many reboots no issues

Bulent Besim (bbesim) wrote :

$ lsb_release -rd
Description: Ubuntu Bionic Beaver (development branch)
Release: 18.04

$ uname -rv
4.15.0-12-generic #13-Ubuntu SMP Thu Mar 8 06:24:47 UTC 2018

$ apt-cache policy plymouth
plymouth:
  Installed: 0.9.3-1ubuntu1
  Candidate: 0.9.3-1ubuntu1
  Version table:
 *** 0.9.3-1ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

Milan Jovanovic (milansky) wrote :

I can confirm that after doing dpkg-reconfigure plymouth the issue is not appearing (no errors showing)

----

$ apt-cache policy plymouth
plymouth:
  Installed: 0.9.3-1ubuntu2
  Candidate: 0.9.3-1ubuntu2
  Version table:
 *** 0.9.3-1ubuntu2 500
        500 http://rs.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

----

$ lsb_release -rd
Description: Ubuntu Bionic Beaver (development branch)
Release: 18.04

----

4.15.0-12-generic #13-Ubuntu SMP Thu Mar 8 06:24:47 UTC 2018

----

Still, not sure if related to this, the cursor still dissapearing on the login screen.

Download full text (3.5 KiB)

Didn't work for me on Bionic. However since this mornings massive update
(Bionic) didn't get it on subsequent reboot. So, keeping fingers crossed ...

On Fri, Mar 23, 2018 at 10:35 AM Milan Jovanovic <email address hidden>
wrote:

> I can confirm that after doing dpkg-reconfigure plymouth the issue is
> not appearing (no errors showing)
>
> ----
>
> $ apt-cache policy plymouth
> plymouth:
> Installed: 0.9.3-1ubuntu2
> Candidate: 0.9.3-1ubuntu2
> Version table:
> *** 0.9.3-1ubuntu2 500
> 500 http://rs.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> ----
>
> $ lsb_release -rd
> Description: Ubuntu Bionic Beaver (development branch)
> Release: 18.04
>
> ----
>
> 4.15.0-12-generic #13-Ubuntu SMP Thu Mar 8 06:24:47 UTC 2018
>
> ----
>
> Still, not sure if related to this, the cursor still dissapearing on the
> login screen.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/927636
>
> Title:
> plymouthd crashed with SIGSEGV in script_obj_deref_direct()
>
> Status in Plymouth:
> Confirmed
> Status in plymouth package in Ubuntu:
> Triaged
>
> Bug description:
> Ubuntu 12.04 LTS (development branch)
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: plymouth 0.8.2-2ubuntu28
> ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
> Uname: Linux 3.2.0-14-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> Date: Mon Feb 6 07:03:15 2012
> DefaultPlymouth: /lib/plymouth/themes/xubuntu-logo/xubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Foxconn AMD HDZS01
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 VESA VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0x7effe6b50ea0 <script_obj_deref_direct>:
> cmpl $0x1,(%rdi)
> PC (0x7effe6b50ea0) ok
> source "$0x1" ok
> destination "(%rdi)" (0x00000000) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> script_obj_deref_direct () from /lib/plymouth/script.so
> script_obj_as_custom () from /lib/plymouth/script.so
> script_execute_object () from /lib/plymouth/script.so
> script_lib_plymouth_on_update_status () from /lib/plymouth/script.so
> ?? ()
> TextPlymouth: /lib/plymouth/themes/xubuntu-text/xubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> dmi.bios.date: 04/19/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: A93F1022
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: AHD1S
> dmi.board.vendor: Foxconn
> dm...

Read more...

Still occurring, even after today's plymouth update (Vanilla Gnome).

bart (bart-wp) wrote :

dpkg-reconfigure plymouth seems to have solved the problem for me

Worked for a couple of iterations but soon went back.

On Sun, Apr 1, 2018 at 7:55 AM bart <email address hidden> wrote:

> dpkg-reconfigure plymouth seems to have solved the problem for me
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/927636
>
> Title:
> plymouthd crashed with SIGSEGV in script_obj_deref_direct()
>
> Status in Plymouth:
> Confirmed
> Status in plymouth package in Ubuntu:
> Triaged
>
> Bug description:
> Ubuntu 12.04 LTS (development branch)
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: plymouth 0.8.2-2ubuntu28
> ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
> Uname: Linux 3.2.0-14-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> Date: Mon Feb 6 07:03:15 2012
> DefaultPlymouth: /lib/plymouth/themes/xubuntu-logo/xubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Foxconn AMD HDZS01
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 VESA VGA
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-14-generic
> root=UUID=0bb93586-7343-45bd-802b-03adbb46f430 ro quiet splash vt.handoff=7
> SegvAnalysis:
> Segfault happened at: 0x7effe6b50ea0 <script_obj_deref_direct>:
> cmpl $0x1,(%rdi)
> PC (0x7effe6b50ea0) ok
> source "$0x1" ok
> destination "(%rdi)" (0x00000000) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> script_obj_deref_direct () from /lib/plymouth/script.so
> script_obj_as_custom () from /lib/plymouth/script.so
> script_execute_object () from /lib/plymouth/script.so
> script_lib_plymouth_on_update_status () from /lib/plymouth/script.so
> ?? ()
> TextPlymouth: /lib/plymouth/themes/xubuntu-text/xubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in script_obj_deref_direct()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> dmi.bios.date: 04/19/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: A93F1022
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: AHD1S
> dmi.board.vendor: Foxconn
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrA93F1022:bd04/19/2011:svnFoxconn:pnAMDHDZS01:pvrTobefilledbyO.E.M.:rvnFoxconn:rnAHD1S:rvr:
> dmi.product.name: AMD HDZS01
> dmi.product.version: To be filled by O.E.M.
> dmi.sys.vendor: Foxconn
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/plymouth/+bug/927636/+subscriptions
>
--

This email is printed from 100% recycled electrons.

Brian Murray (brian-murray) wrote :

It might be helpful to get some plymouth debug log files, you can have plymouth run in debug mode by adding 'plymouth.debug' to /etc/default/grub and then running sudo update-grub. Here's what the correct line in /etc/default/grub might look like.

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash plymouth.debug"

After rebooting and running plymouth in debug mode you'll have a log file at '/var/log/plymouth-debug.log'. It'd be great if someone experiencing the crash could attach that file to this bug.

Sapsan (sergiy-bagnak) wrote :

plymouth-debug.log

paul summers (paulsum) wrote :

installing google chrome. then got the bug.

clean installed unbuntu daily bionic Iso, this plymount bug happen just before the usual update of programs right after it completed.

will be back with the debug file... will uninstall chrome, and then reinstall it.

Marcos Nascimento (wstlmn) wrote :

This error occurred on Ubuntu 18.04

Brian Murray (brian-murray) wrote :

Is this something that happens repeatedly on the same system? I mean if a test package were provided would someone be able to say that the crash isn't happening any more for them.

It happens randomly few times a week, I'd say once every 4 or 5 reboots on average. After installing a test package, I could provide a reasonable feedback with after a few days (maybe a week).

Brian Murray (brian-murray) wrote :

I've uploaded a version of plymouth for bionic to test with to my PPA.

https://launchpad.net/~brian-murray/+archive/ubuntu/ppa

If you'd like it for a different release please let me know.

paul summers (paulsum) wrote :

running unbuntu 18.04 upgraded from 17.10 (do-release-updrade -d)

and it seems that everytime I
sudo apt update, sudo apt upgrade, reboot... I get this error (plymouth)

i am running mythtv frontend, which is set to auto-start after login.

i think i get it every reboot... will reboot to see... if it does i will add a comment saying so, after this comment... (if not, it does not)

I've been using Brian's PPA test package for almost a week and I haven't been getting this error anymore.

Brian Murray (brian-murray) wrote :

A variation of this bug, bug1745406, was fixed in Ubuntu 18.04 with plymouth version 0.9.3-1ubuntu7. That being said this still needs fixing in every supported release of Ubuntu.

Changed in plymouth (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → Fix Released
Changed in plymouth (Ubuntu Trusty):
status: New → In Progress
Changed in plymouth (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
Changed in plymouth (Ubuntu Artful):
importance: Undecided → High
Changed in plymouth (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
Changed in plymouth (Ubuntu Artful):
assignee: nobody → Brian Murray (brian-murray)
Changed in plymouth (Ubuntu Trusty):
importance: Undecided → High
Changed in plymouth (Ubuntu Artful):
status: New → In Progress
description: updated

Hello James, or anyone else affected,

Accepted plymouth into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plymouth/0.8.8-0ubuntu17.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plymouth (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-trusty
Changed in plymouth (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Robie Basak (racb) wrote :

Hello James, or anyone else affected,

Accepted plymouth into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plymouth/0.9.2-3ubuntu13.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plymouth (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed-artful
Robie Basak (racb) wrote :

Hello James, or anyone else affected,

Accepted plymouth into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plymouth/0.9.2-3ubuntu20 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: id-5ae73e3eeb6dee8e1438bb11
Brian Murray (brian-murray) wrote :

The errors bucket does not contain any crashes from the version of the package in -proposed.

tags: added: verification-done-artful verification-done-trusty verification-done-xenial
removed: verification-needed-artful verification-needed-trusty verification-needed-xenial
Robie Basak (racb) wrote :

> While I'm checking the Error Tracker for new plymouth crashes regularly it would be best to let this SRU age for longer than the 7 day period to be sure nothing is amiss.

How long do you think we should wait?

Separately, would it be worth manually smoke testing plymouth from the proposed pockets in case there's a problem with the error tracker, or are you confident enough to rely on the lack of error tracker reports alone?

Brian Murray (brian-murray) wrote :

I think a couple of weeks is long enough to wait, additionally with the phased-updater and the number of users with plymouth installed we'll have an extra layer of protection from any regressions.

I'm pretty confident in the fix and don't think smoke testing is necessary.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.2-3ubuntu20

---------------
plymouth (0.9.2-3ubuntu20) artful; urgency=medium

  *debian/patches/misc-changes.patch: Drop call to stop_animation as it would
   unreference a bunch of variables and cause a crash writing a NULL VMA.
   (LP: #927636)

 -- Brian Murray <email address hidden> Mon, 07 May 2018 16:29:42 -0700

Changed in plymouth (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for plymouth has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.2-3ubuntu13.5

---------------
plymouth (0.9.2-3ubuntu13.5) xenial; urgency=medium

  *debian/patches/misc-changes.patch: Drop call to stop_animation as it would
   unreference a bunch of variables and cause a crash writing a NULL VMA.
   (LP: #927636)

 -- Brian Murray <email address hidden> Mon, 07 May 2018 16:39:09 -0700

Changed in plymouth (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.8-0ubuntu17.2

---------------
plymouth (0.8.8-0ubuntu17.2) trusty; urgency=medium

  *debian/patches/misc-changes.patch: Drop call to stop_animation as it would
   unreference a bunch of variables and cause a crash writing a NULL VMA.
   (LP: #927636)

 -- Brian Murray <email address hidden> Mon, 07 May 2018 16:45:23 -0700

Changed in plymouth (Ubuntu Trusty):
status: Fix Committed → Fix Released

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/plymouth/plymouth/issues/42.

Changed in plymouth:
status: Confirmed → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.